#
# spec file for package libsmpeg2
#
# Copyright (c) 2015 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

%define _lver   2.0.0
%define _svnrev svn412
%define oname   smpeg2
%define soname  0
%define libname %{name}-2_0-%{soname}

Name:           libsmpeg2
Version:        %{_lver}+%{_svnrev}
Release:        2.1
Summary:        SDL2 MPEG Library
License:        LGPL-2.0+
Group:          System/Libraries
Url:            http://icculus.org/smpeg/
# Downloaded from https://icculus.org/smpeg/
# Packed as tar.bz2
Source0:        %{name}-%{_lver}+%{_svnrev}.tar.bz2
Source1:        %{name}-rpmlintrc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(sdl2)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to
create a general purpose MPEG video/audio player for the Linux OS.

smpeg is an mpeg decoding library, which runs on just about any platform.
It comes with a sample decoder, plaympeg (console, no UI).

%package devel
Summary:        SDL2 MPEG Library
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
Development environment for compiling and linking against libsmpeg2.

%package -n %{libname}
Summary:        SDL2 MPEG Library
Group:          System/Libraries

%description -n %{libname}
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to
create a general purpose MPEG video/audio player for the Linux OS.

smpeg is an mpeg decoding library, which runs on just about any platform.
It comes with a sample decoder, plaympeg (console, no UI).

%package -n %{oname}-plaympeg
Summary:        MPEG Player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{libname} = %{version}

%description -n %{oname}-plaympeg
Command-line MPEG video player based on SDL2 and libsmpeg2.

%prep
%setup -q -n smpeg-svn

%build
[ -e configure ] || NOCONFIGURE=1 ./autogen.sh

export CFLAGS="%{optflags} -std=gnu++98"
export CXXFLAGS="%{optflags} -std=gnu++98"
%configure --disable-static

make %{?_smp_mflags}

%install
%make_install

# Remove not needed static libraries
rm -f %{buildroot}%{_libdir}/%{name}.la

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}-2.0.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/%{oname}-config
%{_includedir}/%{oname}
%{_libdir}/%{name}.so
%{_datadir}/aclocal/%{oname}.m4

%files -n %{oname}-plaympeg
%defattr(-,root,root)
%{_bindir}/plaympeg
%{_mandir}/man1/plaympeg.1%{ext_man}

%changelog
* Sun Jul  5 2015 nemysis@gmx.ch
- Revert --disable-static, deleted in previous commit
* Sat Jul  4 2015 nemysis@gmx.ch
- Change SDL2 to SDL, forgotten in previous commit
* Sat Jul  4 2015 nemysis@gmx.ch
- Update to 2.0.0+svn412, announce message:
  Please look 'svn log'
- Use %%{oname} instead of smpeg2
- Change Summary, use SDL2 instead of SDL
- Change license LGPL-2.1+ to LGPL-2.0+, please look COPYING
- Download from https://icculus.org/smpeg/ and packed as tar.bz2
- Add libsmpeg2-rpmlintrc
- Use BuildRequires pkgconfig() instead of devel packages
- Change Descriptions
- Use %%{oname}-plaympeg instead of plaympeg
- Remove not needed static libraries
- Remove %%doc from Man Pages
* Mon Nov 10 2014 olaf@aepfle.de
- Initial version 2.0.0, based on svn snapshot
